; @(#) $Id: jgauge.jss,v 1.7 2007/02/27 00:34:25 Owner Exp $

include "hjconst.jsh"
include "progress.jsl"
include "IEGlobe.jsl"

void function autoStartEvent()
IEGlobeWatch("globeAlerter", 20)
endFunction

void function globeAlerter()
var
	string fname
let fname = getJAWSSettingsDirectory() +"\\Sounds\\qw_click1.wav"
if !fileExists(fname) then
	; For older JAWS versions with no Sounds subdirectory
	let fname = getJAWSSettingsDirectory() +"\\qw_click1.wav"
endIf
if fileExists(fname) then
	playSound(fname)
else
	; TODO: No alert here; that would surely be annoying every couple seconds!
endIf
endFunction

void function windowCreatedEvent(handle hWindow, int nLeft, int nTop, int nRight, int nBottom)
; Start watching progress bars when they are created.
progressCheckNewWindow(hWindow)
windowCreatedEvent(hWindow, nLeft, nTop, nRight, nBottom)
endFunction

void function windowDestroyedEvent(handle hWindow)
; Note: This function is not always (ever?) called on the destruction of progress bars.
; It seems instead to be called on the destruction of their parent windows.
progressWatchStop(hWindow)
windowDestroyedEvent(hWindow)
endFunction

void function valueChangedEvent(handle hwnd, int objId, int childId, int nObjType, string sObjName, string sObjValue, int bIsFocusObject)
; Alerts the progress watch system to check for a progress update when this event fires.
progressValueChangedEvent(hwnd, objId, childId, nObjType, sObjName, sObjValue)
valueChangedEvent(hwnd, objId, childId, nObjType, sObjName, sObjValue, bIsFocusObject)
endFunction

